using System.Windows.Forms;
using ChuPiao.AutoPrint.Desktop.Properties;

namespace ChuPiao.AutoPrint.Desktop.AutoPrint
{
    public class AutoPrintToolStrip:ToolStrip
    {
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator2;
        public System.Windows.Forms.ToolStripButton ToolStripButtonStart;
        public System.Windows.Forms.ToolStripButton ToolStripButtonStop;
        public System.Windows.Forms.ToolStripButton ToolStripButtonContinue;
        public System.Windows.Forms.ToolStripButton ToolStripButtonLimitError;
        public System.Windows.Forms.ToolStripButton ToolStripButtonForceStop;
        public System.Windows.Forms.ToolStripButton ToolStripButtonRestartDriver;
        public System.Windows.Forms.ToolStripButton ToolStripButtonReGetdata;
        public System.Windows.Forms.ToolStripButton ToolStripButtonGetCacheTicket;
        public System.Windows.Forms.ToolStripButton ToolStripButtonGetLastTicket;
        public System.Windows.Forms.ToolStripButton ToolStripButtonSelect;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator1;
        public System.Windows.Forms.ToolStripButton ToolStripButtonLogin;
        public System.Windows.Forms.ToolStripButton ToolStripButtonEnterSaleGui;
        public System.Windows.Forms.ToolStripButton ToolStripButtonEnterTopGui;
        public System.Windows.Forms.ToolStripButton ToolStripButtonTest;
        public System.Windows.Forms.ToolStripButton ToolStripButtonUpdateMoney;
        public System.Windows.Forms.ToolStripButton ToolStripButtonClear;
        public System.Windows.Forms.ToolStripButton ToolStripButtonPrintCurrentDayReport;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator3;
        public System.Windows.Forms.ToolStripButton ToolStripButtonForbid;
        public System.Windows.Forms.ToolStripButton ToolStripButtonTransfer;
        public System.Windows.Forms.ToolStripButton ToolStripButtonUse;
        public System.Windows.Forms.ToolStripButton ToolStripButtonAddMachine;
        public System.Windows.Forms.ToolStripButton ToolStripButtonDeleteMachine;
        public System.Windows.Forms.ToolStripButton ToolStripButtonEditComputer;
        public System.Windows.Forms.ToolStripButton ToolStripButtonReportKeyboard;
        public System.Windows.Forms.ToolStripButton ToolStripButtonSetKeyInterval;
        //public System.Windows.Forms.ToolStripButton ToolStripButtonReloadConfig;
        public System.Windows.Forms.ToolStripButton ToolStripButtonTestScanner;
        //public System.Windows.Forms.ToolStripButton ToolStripButtonTestChangePlay;
        //public System.Windows.Forms.ToolStripButton ToolStripButtonImportConfig;
        public System.Windows.Forms.ToolStripButton ToolStripButtonPositionConfig;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator4;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator5;
        //
        private System.Windows.Forms.ToolStripLabel toolStripLabel1;
        private System.Windows.Forms.ToolStripLabel toolStripLabel2;
        private System.Windows.Forms.ToolStripLabel toolStripLabel3;
        private System.Windows.Forms.ToolStripLabel toolStripLabel4;
        public System.Windows.Forms.ToolStripComboBox toolStripComboBox_timetype;
        public ChuPiao.Common.Controls.ToolStripDateTimePicker toolStripTextBoxPlayBeginDate;
        public System.Windows.Forms.ToolStripComboBox toolStripComboBox_timeselect;
        public ChuPiao.Common.Controls.ToolStripDateTimePicker toolStripTextBoxPlayEndDate;

        public AutoPrintToolStrip()
        {
            //System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AutoPrintToolBarView));
            this.ToolStripButtonSelect = new System.Windows.Forms.ToolStripButton("ѡ");
            this.toolStripSeparator2 = new System.Windows.Forms.ToolStripSeparator();
            this.ToolStripButtonStart = new System.Windows.Forms.ToolStripButton("Ʊ");
            this.ToolStripButtonStop = new System.Windows.Forms.ToolStripButton("ֹͣƱ");
            this.ToolStripButtonForceStop = new System.Windows.Forms.ToolStripButton("ǿֹͣ");
            this.ToolStripButtonContinue = new System.Windows.Forms.ToolStripButton("Ʊ");
            this.ToolStripButtonLimitError = new System.Windows.Forms.ToolStripButton("ͣ/޺ŵ");

            
            this.ToolStripButtonRestartDriver = new System.Windows.Forms.ToolStripButton("");
            this.ToolStripButtonReGetdata = new System.Windows.Forms.ToolStripButton("»ȡ");
            this.ToolStripButtonGetCacheTicket = new System.Windows.Forms.ToolStripButton("ȡƱ");
            this.ToolStripButtonGetLastTicket = new System.Windows.Forms.ToolStripButton("ӡһƱ");
            this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
            this.ToolStripButtonEnterTopGui = new System.Windows.Forms.ToolStripButton("붥");
            this.ToolStripButtonEnterSaleGui = new System.Windows.Forms.ToolStripButton("۽");
            this.ToolStripButtonTest = new System.Windows.Forms.ToolStripButton("ӡƱ");
            
            this.ToolStripButtonClear = new System.Windows.Forms.ToolStripButton("ϼ");
            this.ToolStripButtonLogin = new System.Windows.Forms.ToolStripButton("¼");
            this.toolStripSeparator3 = new System.Windows.Forms.ToolStripSeparator();
            this.ToolStripButtonForbid = new System.Windows.Forms.ToolStripButton("û");
            this.ToolStripButtonTransfer = new System.Windows.Forms.ToolStripButton("תƳƱ");
            this.ToolStripButtonUse = new System.Windows.Forms.ToolStripButton("û");
            this.ToolStripButtonReportKeyboard = new System.Windows.Forms.ToolStripButton("Ʊ");
            //this.ToolStripButtonTestScanner = new System.Windows.Forms.ToolStripButton("ɨ");
            //this.ToolStripButtonTestChangePlay = new System.Windows.Forms.ToolStripButton("淨л");
            this.ToolStripButtonPositionConfig = new System.Windows.Forms.ToolStripButton("Զλ");
            //this.ToolStripButtonImportConfig = new System.Windows.Forms.ToolStripButton("ļ");
            //this.ToolStripButtonReloadConfig = new System.Windows.Forms.ToolStripButton("¼");
            this.ToolStripButtonAddMachine = new System.Windows.Forms.ToolStripButton("ӲƱ");
            this.ToolStripButtonDeleteMachine = new System.Windows.Forms.ToolStripButton("ɾƱ");
            this.ToolStripButtonEditComputer = new System.Windows.Forms.ToolStripButton("޸ĿƵ");
            this.ToolStripButtonSetKeyInterval = new System.Windows.Forms.ToolStripButton("Ʊٶ");
            this.toolStripSeparator4 = new System.Windows.Forms.ToolStripSeparator();
            this.toolStripSeparator5 = new System.Windows.Forms.ToolStripSeparator();
            this.ToolStripButtonPrintCurrentDayReport = new System.Windows.Forms.ToolStripButton("ϴʱα");
            this.ToolStripButtonUpdateMoney = new System.Windows.Forms.ToolStripButton("ϴɿ");

            this.toolStripLabel1 = new System.Windows.Forms.ToolStripLabel();
            this.toolStripComboBox_timetype = new System.Windows.Forms.ToolStripComboBox();
            this.toolStripLabel2 = new System.Windows.Forms.ToolStripLabel();
            this.toolStripComboBox_timeselect = new System.Windows.Forms.ToolStripComboBox();
            this.toolStripTextBoxPlayBeginDate = new ChuPiao.Common.Controls.ToolStripDateTimePicker();
            this.toolStripTextBoxPlayEndDate = new ChuPiao.Common.Controls.ToolStripDateTimePicker();
            this.toolStripLabel3 = new System.Windows.Forms.ToolStripLabel();
            this.toolStripLabel4 = new System.Windows.Forms.ToolStripLabel();
            //this.SuspendLayout();
            // 
            // toolStrip1
            // 
            this.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.ToolStripButtonSelect,
            this.toolStripSeparator1,
            //this.ToolStripButtonStart,
            //this.ToolStripButtonStop,
            //this.ToolStripButtonContinue,this.ToolStripButtonLimitError,
            //this.ToolStripButtonForceStop,
             //   this.ToolStripButtonRestartDriver,ToolStripButtonReGetdata,
             //   ToolStripButtonGetCacheTicket,
              //  ToolStripButtonGetLastTicket,
            this.toolStripSeparator2,
               // this.ToolStripButtonEnterTopGui,
                //this.ToolStripButtonEnterSaleGui,
            this.ToolStripButtonTest,

           // this.ToolStripButtonClear,
               
                //toolStripSeparator3,ToolStripButtonForbid,ToolStripButtonTransfer,ToolStripButtonUse,toolStripSeparator4,
           // this.ToolStripButtonLogin,
                ToolStripButtonReportKeyboard,
                //ToolStripButtonTestScanner,
                //ToolStripButtonTestChangePlay,
               // ToolStripButtonPositionConfig,
                toolStripSeparator4,ToolStripButtonAddMachine,this.ToolStripButtonDeleteMachine,
                //toolStripSeparator3,ToolStripButtonSetKeyInterval,
                toolStripSeparator5,
                this.ToolStripButtonUpdateMoney,
                this.toolStripLabel1,
                this.toolStripComboBox_timetype,
                this.toolStripLabel2,
                this.toolStripComboBox_timeselect,
                this.toolStripLabel3,
                this.toolStripTextBoxPlayBeginDate,
                this.toolStripLabel4,
                this.toolStripTextBoxPlayEndDate,
                this.ToolStripButtonPrintCurrentDayReport
                
                //this.ToolStripButtonEditComputer
            });

            // 
            // toolStripLabel1
            // 
            this.toolStripLabel1.Name = "toolStripLabel1";
            this.toolStripLabel1.Size = new System.Drawing.Size(68, 23);
            this.toolStripLabel1.Text = "ʱͣ";
            // 
            // toolStripComboBox_timetype
            // 
            this.toolStripComboBox_timetype.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.toolStripComboBox_timetype.Items.AddRange(new object[] {
            "",
            "",
            ""});
            this.toolStripComboBox_timetype.Name = "toolStripComboBox_timetype";
            this.toolStripComboBox_timetype.Size = new System.Drawing.Size(50, 26);
            
            // 
            // toolStripLabel2
            // 
            this.toolStripLabel2.Name = "toolStripLabel2";
            this.toolStripLabel2.Size = new System.Drawing.Size(68, 23);
            this.toolStripLabel2.Text = "ϸʱΣ";
            // 
            // toolStripComboBox_timeselect
            // 
            this.toolStripComboBox_timeselect.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.toolStripComboBox_timeselect.Name = "toolStripComboBox_timeselect";
            this.toolStripComboBox_timeselect.Size = new System.Drawing.Size(120, 26);
           
            // 
            // toolStripLabel3
            // 
            this.toolStripLabel3.Name = "toolStripLabel3";
            this.toolStripLabel3.Size = new System.Drawing.Size(100, 23);
            this.toolStripLabel3.Text = "ʱηΧ(ֻ)";
            // 
            // toolStripLabel4
            // 
            this.toolStripLabel4.Name = "toolStripLabel4";
            this.toolStripLabel4.Size = new System.Drawing.Size(10, 23);
            this.toolStripLabel4.Text = "-";
            // 
            // toolStripTextBoxPlayBeginDate
            // 
            this.toolStripTextBoxPlayBeginDate.Enabled = false;
            this.toolStripTextBoxPlayBeginDate.Name = "toolStripTextBoxPlayBeginDate";
            this.toolStripTextBoxPlayBeginDate.Size = new System.Drawing.Size(108, 23);
            // 
            // toolStripTextBoxPlayEndDate
            // 
            this.toolStripTextBoxPlayEndDate.Enabled = false;
            this.toolStripTextBoxPlayEndDate.Name = "toolStripTextBoxPlayEndDate";
            this.toolStripTextBoxPlayEndDate.Size = new System.Drawing.Size(108, 23);

            //this.Location = new System.Drawing.Point(0, 0);
            //this.Name = "toolStrip1";
            //this.Size = new System.Drawing.Size(778, 25);
            //this.TabIndex = 18;
            //this.Text = "toolStrip1";
            // 
            // toolStripSeparator2
            // 
            //this.toolStripSeparator2.Name = "toolStripSeparator2";
            //this.toolStripSeparator2.Size = new System.Drawing.Size(6, 25);
            // 
            // ToolStripButtonStart
            // 
            //this.ToolStripButtonStart.Image = ((System.Drawing.Image)(resources.GetObject("ToolStripButtonStart.Image")));
            this.ToolStripButtonStart.Image = Resources.Run;
            //this.ToolStripButtonStart.ImageTransparentColor = System.Drawing.Color.Magenta;
            //this.ToolStripButtonStart.Name = "ToolStripButtonStart";
            //this.ToolStripButtonStart.Size = new System.Drawing.Size(76, 22);
            //this.ToolStripButtonStart.Text = "Ʊ";
            //this.ToolStripButtonStart.ToolTipText = "ѡлƱ";
            // 
            // ToolStripButtonSelect
            // 
            this.ToolStripButtonSelect.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            //this.ToolStripButtonSelect.Image = ((System.Drawing.Image)(resources.GetObject("ToolStripButtonSelect.Image")));
            //this.ToolStripButtonSelect.ImageTransparentColor = System.Drawing.Color.Magenta;
            //this.ToolStripButtonSelect.Name = "ToolStripButtonSelect";
            //this.ToolStripButtonSelect.Size = new System.Drawing.Size(36, 22);
            //this.ToolStripButtonSelect.Text = "ѡ";
            // 
            // toolStripSeparator1
            // 
            //this.toolStripSeparator1.Name = "toolStripSeparator1";
            //this.toolStripSeparator1.Size = new System.Drawing.Size(6, 25);
            // 
            // ToolStripButtonLogin
            // 
            //this.ToolStripButtonLogin.Image = ((System.Drawing.Image)(resources.GetObject("ToolStripButtonLogin.Image")));
            //this.ToolStripButtonLogin.ImageTransparentColor = System.Drawing.Color.Magenta;
            //this.ToolStripButtonLogin.Name = "ToolStripButtonLogin";
            //this.ToolStripButtonLogin.Size = new System.Drawing.Size(112, 22);
            //this.ToolStripButtonLogin.Text = "¼Ʊ";
            // 
            // ToolStripButtonStop
            // 
            //this.ToolStripButtonStop.Image = ((System.Drawing.Image)(resources.GetObject("ToolStripButtonStop.Image")));

            this.ToolStripButtonStop.Image = Resources.Stop;
            this.ToolStripButtonContinue.Image = Resources.Continue;
            this.ToolStripButtonLimitError.Image = Resources.ClearWarn;
            //this.ToolStripButtonStop.ImageTransparentColor = System.Drawing.Color.Magenta;
            //this.ToolStripButtonStop.Name = "ToolStripButtonStop";
            //this.ToolStripButtonStop.Size = new System.Drawing.Size(76, 22);
            //this.ToolStripButtonStop.Text = "ֹͣƱ";
            //this.ToolStripButtonStop.ToolTipText = "ѡлֹͣƱ";
            // 
            // ToolStripButtonTest
            // 
            //this.ToolStripButtonTest.Image = ((System.Drawing.Image)(resources.GetObject("ToolStripButtonTest.Image")));
            //this.ToolStripButtonTest.ImageTransparentColor = System.Drawing.Color.Magenta;
            //this.ToolStripButtonTest.Name = "ToolStripButtonTest";
            //this.ToolStripButtonTest.Size = new System.Drawing.Size(88, 22);
            //this.ToolStripButtonTest.Text = "ӡƱ";
            // 
            // ToolStripButtonUpdateMoney
            // 
            //this.ToolStripButtonUpdateMoney.Image = ((System.Drawing.Image)(resources.GetObject("ToolStripButtonUpdateMoney.Image")));
            //this.ToolStripButtonUpdateMoney.ImageTransparentColor = System.Drawing.Color.Magenta;
            //this.ToolStripButtonUpdateMoney.Name = "ToolStripButtonUpdateMoney";
            //this.ToolStripButtonUpdateMoney.Size = new System.Drawing.Size(100, 22);
            //this.ToolStripButtonUpdateMoney.Text = "»";
            // 
            // ToolStripButtonClear
            // 
            //this.ToolStripButtonClear.Image = ((System.Drawing.Image)(resources.GetObject("ToolStripButtonClear.Image")));
            //this.ToolStripButtonClear.ImageTransparentColor = System.Drawing.Color.Magenta;
            //this.ToolStripButtonClear.Name = "ToolStripButtonClear";
            //this.ToolStripButtonClear.Size = new System.Drawing.Size(112, 22);
            //this.ToolStripButtonClear.Text = "Ʊϼ";
            // 
            // AutoPrintToolBarView
            // 
            //this.Name = "AutoPrintToolBarView";
            //this.Size = new System.Drawing.Size(778, 25);

            this.ToolStripButtonContinue.Enabled = false;
            this.ToolStripButtonLimitError.Enabled = false;
            this.ToolStripButtonStart.Enabled = true;
            this.ToolStripButtonStop.Enabled = false;
            this.ResumeLayout(false);
            this.PerformLayout();
        }
    }
}
