using System;
using ChuPiao.Common.Enums;
using ChuPiao.Common.Models;

namespace ChuPiao.AutoPrint.Machine
{
    public class TicketEventArgs : EventArgs
    {
        private readonly L_LotTicketEntity _ticketEntity;

        public TicketEventArgs(L_LotTicketEntity ticketEntity)
        {
            _ticketEntity = ticketEntity;
        }

        public L_LotTicketEntity TicketEntity
        {
            get { return _ticketEntity; }
        }
    }
    public class MachineStatusArgs:EventArgs
    {
        private readonly MachineStatusEnum _machineStatus;
        public MachineStatusArgs(MachineStatusEnum machineStatus)
        {
            _machineStatus = machineStatus;
        }

        public MachineStatusEnum MachineStatus
        {
            get { return _machineStatus; }
        }
    }
    /// <summary>
    /// ĶҽƱ
    /// </summary>
    public class ZxEncashTicketEventArgs : EventArgs
    {
        private readonly M_EncashTicketEntity _ticketEntity;

        public ZxEncashTicketEventArgs(M_EncashTicketEntity ticketEntity)
        {
            _ticketEntity = ticketEntity;
        }

        public M_EncashTicketEntity TicketEntity
        {
            get { return _ticketEntity; }
        }
    }
}
