﻿using ChuPiao.Common.Models;

namespace ChuPiao.AutoPrint.Machine.Models
{
    public class DecodeMachinePlayReport
    {
        private R_MachinePlayReportEntity _machinePlayReportEntity=new R_MachinePlayReportEntity();
        /// <summary>
        /// 机器玩法报表
        /// </summary>
        public R_MachinePlayReportEntity MachinePlayReportEntity
        {
            get { return _machinePlayReportEntity; }
            set { _machinePlayReportEntity = value; }
        }

        private CaptureDataInfo _inputData = new CaptureDataInfo(new byte[] { });
        /// <summary>
        /// 抓取的原始数据
        /// </summary>
        public CaptureDataInfo InputData
        {
            get { return _inputData; }
            set { _inputData = value; }
        }

        private bool _decodeSuccess = false;
        /// <summary>
        /// 解析是否成功
        /// </summary>
        public bool DecodeSuccess
        {
            get { return _decodeSuccess; }
            set { _decodeSuccess = value; }
        }
        /// <summary>
        /// 解析错误信息
        /// </summary>
        public string ErrorMessage
        {
            get { return _errorMessage; }
            set { _errorMessage = value; }
        }

        private string _errorMessage;
    }
}
