﻿using ChuPiao.Common.Models;

namespace ChuPiao.AutoPrint.Machine.Models
{
    public class DecodeMachineReport
    {
        private R_MachineReportEntity _machineReportEntity=new R_MachineReportEntity();
        /// <summary>
        /// 机器报表
        /// </summary>
        public R_MachineReportEntity MachineReportEntity
        {
            get { return _machineReportEntity; }
            set { _machineReportEntity = value; }
        }

        private CaptureDataInfo _inputData = new CaptureDataInfo(new byte[] { });
        /// <summary>
        /// 抓取的原始数据
        /// </summary>
        public CaptureDataInfo InputData
        {
            get { return _inputData; }
            set { _inputData = value; }
        }

        private bool _decodeSuccess = false;
        /// <summary>
        /// 解析是否成功
        /// </summary>
        public bool DecodeSuccess
        {
            get { return _decodeSuccess; }
            set { _decodeSuccess = value; }
        }
        /// <summary>
        /// 解析错误信息
        /// </summary>
        public string ErrorMessage
        {
            get { return _errorMessage; }
            set { _errorMessage = value; }
        }

        private string _errorMessage;
    }
}
