﻿using System.Configuration;
using ChuPiao.Common.Configuration;

namespace ChuPiao.Common.Communication.GtdJson.Configuration
{
    public class GtdpackConfigurationSection : SerializableConfigurationSection
    {
        /// <summary>
        /// 广天地通讯接口配置节名称
        /// </summary>
        public const string SectionName = "gtdpackConfiguration";

        public static GtdpackConfigurationSection GetGtdpackConfigurationSection()
        {
            return (GtdpackConfigurationSection)ConfigurationManager.GetSection(SectionName);
        }

        [ConfigurationProperty("gtdpackSetting")]
        public GtdpackSettingElement GtdpackSetting
        {
            get { return ((GtdpackSettingElement)(base["gtdpackSetting"])); }
        }
    }
}
