using System;
using System.Collections.Generic;
using System.Text;
using ChuPiao.Common.Models;
using ChuPiao.Common.Core.Security;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    public class A10002NotifyTicket:PackBase
    {
        public override string Action
        {
            get { return "notifyTicket"; }
        }

        private L_LotTicketEntity _ticket=new L_LotTicketEntity();
        public L_LotTicketEntity Ticket
        {
            get { return _ticket; }
            set { _ticket = value; }
        }

        public override void PackBody(Newtonsoft.Json.JsonWriter jsonWriter)
        {
            jsonWriter.WritePropertyName("expect");
            jsonWriter.WriteValue(Ticket.L_Expect);
            jsonWriter.WritePropertyName("lotId");
            jsonWriter.WriteValue(Ticket.LotId);
            jsonWriter.WritePropertyName("playtype");
            jsonWriter.WriteValue(Ticket.L_PlayId);
            jsonWriter.WritePropertyName("prntext");
            jsonWriter.WriteValue(Ticket.L_PrnText);
            jsonWriter.WritePropertyName("rate");
            jsonWriter.WriteValue(Ticket.L_CodeRate);
            jsonWriter.WritePropertyName("status");
            jsonWriter.WriteValue(Ticket.L_Status);
            jsonWriter.WritePropertyName("returntype");
            jsonWriter.WriteValue(Ticket.L_LimitType);
            jsonWriter.WritePropertyName("suctime");
            jsonWriter.WriteValue(Ticket.L_SucTime.ToString("yyyy-MM-dd HH:mm:ss"));
            jsonWriter.WritePropertyName("ticketcode");
            jsonWriter.WriteValue(Ticket.L_TicketCode);
            jsonWriter.WritePropertyName("ticketpw");
            jsonWriter.WriteValue(DesUtil.Encrypt(Ticket.L_Password));
            jsonWriter.WritePropertyName("ticketsn");
            jsonWriter.WriteValue(Ticket.L_TicketSn);
            jsonWriter.WritePropertyName("reference");
            jsonWriter.WriteValue(Ticket.L_CodeReference);
            jsonWriter.WritePropertyName("addtype");     //͸ӽͣ0-޼ӽ(Ĭ)1-1.62-23-й3Ԫ4-â¡3Ԫ
            jsonWriter.WriteValue(Ticket.L_AddType);

            jsonWriter.WritePropertyName("code");
            jsonWriter.WriteValue(Ticket.L_Code);
            jsonWriter.WritePropertyName("codetype");
            jsonWriter.WriteValue(Ticket.L_CodeType);
            jsonWriter.WritePropertyName("money");
            jsonWriter.WriteValue(Ticket.L_Money);
            jsonWriter.WritePropertyName("multiple");
            jsonWriter.WriteValue(Ticket.L_Mutiple);
        }
    }
}
