using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    public class A10006UploadMachineBalance : PackBase
    {
        public override string Action
        {
            get { return "uploadBalance"; }
        }

        public override void PackBody(Newtonsoft.Json.JsonWriter jsonWriter)
        {
            jsonWriter.WritePropertyName("balance");
            jsonWriter.WriteValue(Balance);
            jsonWriter.WritePropertyName("querytime");
            jsonWriter.WriteValue(QueryTime);
            jsonWriter.WritePropertyName("type");
            jsonWriter.WriteValue(Type);
            jsonWriter.WritePropertyName("typename");
            jsonWriter.WriteValue(TypeName);
            jsonWriter.WritePropertyName("from");
            jsonWriter.WriteValue(From);
            jsonWriter.WritePropertyName("to");
            jsonWriter.WriteValue(To);
            jsonWriter.WritePropertyName("prntext");
            jsonWriter.WriteValue(Prntext);
        }

        private decimal _balance;
        /// <summary>
        /// 
        /// </summary>
        public decimal Balance
        {
            get { return _balance; }
            set { _balance = value; }
        }

        private string _querytime;
        /// <summary>
        /// 20190924115533
        /// </summary>
        public string QueryTime
        {
            get { return _querytime; }
            set { _querytime = value; }

        }

        private int _type;
        /// <summary>
        /// ʱ䣨-1 -2 -3
        /// </summary>
        public int Type
        {
            get { return _type; }
            set { _type = value; }

        }

        private string _typename;
        /// <summary>
        /// ʱ䣨-20130101 -201301-1 201301
        /// </summary>
        public string TypeName
        {
            get { return _typename; }
            set { _typename = value; }

        }

        private string _from;
        public string From
        {
            get { return _from; }
            set { _from = value; }

        }

        private string _to;
        public string To
        {
            get { return _to; }
            set { _to = value; }

        }

        private string _prntext;
        public string Prntext
        {
            get { return _prntext; }
            set { _prntext = value; }

        }
    }
}
