﻿using System;

namespace ChuPiao.Common.Utils
{
    /// <summary>
    /// 由于某种原因（比如对UI进行跨线程操作)，无法直接调用方法，需要使用SafeInvoker作为中介来执行方法
    /// </summary>
    
    public interface ISafeInvoker
    {
        object SafeInvoke(Delegate method, params object[] args);
    }
}
