﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// Office,彩票机出票监控.中有用到
    /// </summary>
    public class M_MacUnPrintNumEntity:IComparable
    {
        public M_MacUnPrintNumEntity()
        { }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="macnum">机器号</param>
        /// <param name="unprintnum">未出票任务数</param>
        public M_MacUnPrintNumEntity(string macnum, int unprintnum)
        {
            _macnum=macnum;
            _unprintnum=unprintnum;
        }

        private string _macnum;
        /// <summary>
        /// 机器号
        /// </summary>
        public string MacNum
        {
            get { return _macnum; }
            set { _macnum = value; }
        }

        private int _unprintnum;
        /// <summary>
        /// 几分钟未出票任务数
        /// </summary>
        public int UnPrintNum
        {
            get { return _unprintnum; }
            set { _unprintnum = value; }
        }

        #region IComparable 成员

        public int CompareTo(object obj)
        {
            return -UnPrintNum.CompareTo(((M_MacUnPrintNumEntity)obj).UnPrintNum);
        }

        #endregion
    }
}
