using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.Net.NetworkInformation;

namespace ChuPiao.Common.Utils
{
    /// <summary>
    /// Ӧó򹤾
    /// </summary>
    public class ApplicationUtil
    {
        /// <summary>
        /// ⵱ǰϵͳǷѾһʵ
        /// </summary>
        /// <param name="mutex">ȫֵĻ</param>
        /// <param name="productionName">ӦóƷ</param>
        ///  <param name="executeMethodWhenAlreadyRunning">ʵʱִеķ</param>
        /// <param name="args">Ĳ</param>
        public static void IsAlreadyRunning(out Mutex mutex,string productionName,Delegate executeMethodWhenAlreadyRunning,object[] args)
        {
            try
            {
                bool isCreatedFirstly = false;
                mutex = new Mutex(false,"Global\\"+ productionName, out isCreatedFirstly);
                if (!isCreatedFirstly)
                {
                    if (executeMethodWhenAlreadyRunning != null)
                    {
                        executeMethodWhenAlreadyRunning.DynamicInvoke(args);
                    }
                }
            }
            catch(Exception e)
            {
                mutex = null;
            }
        }

        /// <summary>
        ///  鲢ȴ
        /// </summary>
        /// <param name="totalTime">ȴʱ(λ:)</param>
        /// <param name="timeSpan">鱾ӵļ(λ:)</param>
        /// <param name="spareSeconds">鱾ӳʱʱ(λ:)</param>
        /// <param name="doSomethingWaitting">ȴһμ鱾ִеĲ(Ϊnull)</param>
        /// <param name="waittingArgs">ȴһμ鱾ִеĲĲ</param>
        /// <param name="doSomethingRuturning">鱾ӳʱִеĲ(Ϊnull)</param>
        /// <param name="returningArgs">鱾ӳʱִеĲĲ</param>
        public static void CheckLocalNetwork(int totalTime, int timeSpan, out int spareSeconds, Delegate doSomethingWaitting, object[] waittingArgs, Delegate doSomethingRuturning, object[] returningArgs)
        {
            long start = DateTime.Now.Ticks;
            spareSeconds = 0;
            while (!NetworkInterface.GetIsNetworkAvailable())
            {
                long pass = (DateTime.Now.Ticks - start) * 100 / (1000 * 1000 * 1000);
                spareSeconds = (int)(totalTime - pass);
                if (spareSeconds == 0)
                {
                    if (doSomethingRuturning != null)
                    {
                        doSomethingRuturning.DynamicInvoke(returningArgs);
                    }
                }
                if (doSomethingWaitting != null)
                {
                    doSomethingWaitting.DynamicInvoke(waittingArgs);
                }
                Thread.Sleep(timeSpan);
            }
        }

       /// <summary>
       /// Ϊ쳣رյķ
       /// </summary>
        public static void CloseForException()
        {
            try
            {
                Thread.Sleep(1000);
                Environment.Exit(0);
            }
            catch (Exception e) { return; }
        }

        //C#жϲϵͳǷΪWindows7
        public static bool IsWindows7
        {
            get
            {
                return (Environment.OSVersion.Platform == PlatformID.Win32NT) && (Environment.OSVersion.Version.Major == 6) && (Environment.OSVersion.Version.Minor == 1);
            }
        }
    }
}
