﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace ChuPiao.Common.Utils
{


    public class InteractionArgs:EventArgs
    {
        public object Data
        {
            get { return _data; }
            set { _data = value; }
        }
        private object _data;
    }

    /// <summary>
    /// 视图控制器
    /// </summary>
    public interface IController:INotifyPropertyChanged
    {

        event EventHandler<InteractionArgs> OnInteractionRequested;
    }
}
