using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Utils
{
    public class MachineReportTimeList
    {
        /// <summary>
        /// ȡʱбȻܵļ
        /// </summary>
        /// <param name="timetype">1-죬2-ܣ3-</param>
        /// <returns></returns>
        public static List<MachineReportTime> GetTimeList(int timetype)
        {
            DateTime now = DateTime.Now.AddHours(-7);   //7㵽7㵱죬7ǰǰһ

            List<MachineReportTime> timelist = new List<MachineReportTime>();
            DateTime from;
            DateTime to;
            if (timetype == 1)
            {
                //ǰһµ
                from = now;
                to = DateTime.Parse(now.AddMonths(-1).ToString("yyyy-MM-01"));
                for (DateTime date = from; date > to; date = date.AddDays(-1))
                {
                    MachineReportTime entity = new MachineReportTime();
                    entity.DisplayMember = date.ToString("yyyyMMdd");
                    entity.ValueMember = date.ToString("yyyyMMdd");
                    entity.From = date;
                    entity.To = date;

                    timelist.Add(entity);
                }
            }
            else if (timetype == 2)
            {
                //ǰµ
                to = DateTime.Parse(now.ToString("yyyy-MM-dd"));
                from = to.AddMonths(-2);
                for (DateTime date = from; date <= to; date = date.AddMonths(1))
                {
                    DateTime monthfrom = DateTime.Parse(date.ToString("yyyy-MM-01"));
                    DateTime monthto = monthfrom.AddMonths(1).AddDays(-1);
                    DateTime weekfrom = monthfrom;
                    DateTime weekto;
                    for (int i = 1; ; i++)
                    {
                        int dayofweek = (int)(weekfrom.DayOfWeek) == 0 ? 7 : (int)(weekfrom.DayOfWeek);
                        weekto = weekfrom.AddDays(7 - dayofweek);

                        //ȻܵĽβȻµĽβȻµĽβΪȻܵĽβ
                        if (weekto > monthto)
                        {
                            weekto = monthto;
                            //if (to < monthto)
                            //{
                            //    weekto = to;
                            //}

                            MachineReportTime entity1 = new MachineReportTime();
                            entity1.DisplayMember = string.Concat(date.ToString("yyyyMMµ"), i, "");
                            entity1.ValueMember = string.Concat(date.ToString("yyyyMM-"), i);
                            entity1.From = weekfrom;
                            entity1.To = weekto;
                            timelist.Add(entity1);

                            break;
                        }

                        ////ȻܵĽβ˵죬ܲ
                        //if (weekto > to)
                        //{
                        //    weekto = to;

                        //    MachineReportTime entity2 = new MachineReportTime();
                        //    entity2.DisplayMember = string.Concat(date.ToString("yyyyMMµ "), i, " ");
                        //    entity2.ValueMember = string.Concat(date.ToString("yyyyMM-"), i);
                        //    entity2.From = weekfrom;
                        //    entity2.To = weekto;
                        //    timelist.Add(entity2);

                        //    break;
                        //}

                        MachineReportTime entity = new MachineReportTime();
                        entity.DisplayMember = string.Concat(date.ToString("yyyyMMµ"), i, "");
                        entity.ValueMember = string.Concat(date.ToString("yyyyMM-"), i);
                        entity.From = weekfrom;
                        entity.To = weekto;
                        timelist.Add(entity);

                        weekfrom = weekto.AddDays(1);
                        //2014.8
                        if (weekfrom > monthto)
                        {
                            break;
                        }

                        if (weekfrom > to)
                        {
                            break;
                        }
                    }
                }
                timelist.Reverse();
            }
            else if (timetype == 3)
            {
                //µĵһ
                from = DateTime.Parse(now.ToString("yyyy-MM-01"));
                to = from.AddMonths(-3);
                for (DateTime date = from; date >= to; date = date.AddMonths(-1))
                {
                    MachineReportTime entity = new MachineReportTime();
                    entity.DisplayMember = date.ToString("yyyyMM");
                    entity.ValueMember = date.ToString("yyyyMM");
                    entity.From = date;
                    entity.To = date.AddMonths(1).AddDays(-1);

                    timelist.Add(entity);
                }
            }
            return timelist;
        }

        /// <summary>
        /// ȡϸʱε
        /// </summary>
        /// <param name="timetype">1-죬2-ܣ3-</param>
        /// <returns></returns>
        public static MachineReportTime GetCurrentTime(int timetype)
        {
            return GetTimeList(timetype)[0];
        }
    }

    public class MachineReportTime
    {
        private string displaymember;
        public string DisplayMember
        {
            get { return displaymember; }
            set { displaymember = value; }
        }
        private string valuemember;
        public string ValueMember
        {
            get { return valuemember; }
            set { valuemember = value; }
        }
        private DateTime from;
        public DateTime From
        {
            get { return from; }
            set { from = value; }
        }
        private DateTime to;
        public DateTime To
        {
            get { return to; }
            set { to = value; }
        }
    }
}
