﻿using ChuPiao.Common.Models;

namespace ChuPiao.AutoPrint.Machine.Models
{
    public class DecodeMachinePayMoneyReport
    {
        private R_MachinePayMoneyReportEntity _machinePayMoneyReportEntity=new R_MachinePayMoneyReportEntity();
        /// <summary>
        /// 机器缴款报表
        /// </summary>
        public R_MachinePayMoneyReportEntity MachinePayMoneyReportEntity
        {
            get { return _machinePayMoneyReportEntity; }
            set { _machinePayMoneyReportEntity = value; }
        }

        private CaptureDataInfo _inputData = new CaptureDataInfo(new byte[] { });
        /// <summary>
        /// 抓取的原始数据
        /// </summary>
        public CaptureDataInfo InputData
        {
            get { return _inputData; }
            set { _inputData = value; }
        }

        private bool _decodeSuccess = false;
        /// <summary>
        /// 解析是否成功
        /// </summary>
        public bool DecodeSuccess
        {
            get { return _decodeSuccess; }
            set { _decodeSuccess = value; }
        }
        /// <summary>
        /// 解析错误信息
        /// </summary>
        public string ErrorMessage
        {
            get { return _errorMessage; }
            set { _errorMessage = value; }
        }

        private string _errorMessage;
    }
}
