using System;
using ChuPiao.AutoPrint.Machine;
using ChuPiao.AutoPrint.Machine.Models;
using ChuPiao.Common.Models;

namespace ChuPiao.AutoPrint
{
    /// <summary>
    /// Ʊ¼
    /// </summary>
    public class ErrorTicketEventArgs : EventArgs
    {

        public ErrorTicketEventArgs(L_LotTicketEntity ticket, DecodePrintData decodePrintData,string message)
            
        {
            _ticket = ticket;
            _decodePrintData = decodePrintData;
            _message = message;
        }

        private L_LotTicketEntity _ticket;
        private DecodePrintData _decodePrintData=new DecodePrintData();

        private string _message;
        /// <summary>
        /// Ϣ
        /// </summary>
        public string Message
        {
            get { return _message; }
            set { _message = value; }
        }
        /// <summary>
        /// Ʊ
        /// </summary>
        public DecodePrintData DecodePrintData
        {
            get { return _decodePrintData; }
            set { _decodePrintData = value; }
        }
        /// <summary>
        /// ǰƱ
        /// </summary>
        public L_LotTicketEntity Ticket
        {
            get { return _ticket; }
            set { _ticket = value; }
        }
    }
}
