using System;
using System.Collections.Generic;
using ChuPiao.AutoPrint.Machine.Models;
using ChuPiao.Common.Models;

namespace ChuPiao.AutoPrint.Services.OpenCode
{
    public interface IOpenCodeResult
    {
        /// <summary>
        /// ץȡԭʼ
        /// </summary>
        CaptureDataInfo CaptureData { get; set; }
        /// <summary>
        /// Ƿɹ
        /// </summary>
        bool DecodeSuccess { get; set; }
        /// <summary>
        /// Ϣ
        /// </summary>
        string ErrorMessage { get; set; }

        /// <summary>
        /// 
        /// </summary>
        string LotName { get; set; }

        /// <summary>
        /// 
        /// </summary>
        DateTime ReportDate { get; set; }
        /// <summary>
        /// ѯʱ
        /// </summary>
        DateTime QueryTime { get; set; }
        /// <summary>
        /// ʼ
        /// </summary>
        string BeginExpect { get; set; }
        /// <summary>
        /// ֹ
        /// </summary>
        string EndExpect { get; set; }

        /// <summary>
        /// б
        /// </summary>
        List<OpenCodeEntity> OpenCodeList { get; set; } 
    }
    /// <summary>
    /// 
    /// </summary>
    public class OpenCodeResult : IOpenCodeResult
    {
        #region Implementation of IOpenCodeResult

        private CaptureDataInfo _captureData;

        private bool _decodeSuccess;

        private string _errorMessage;

        private string _lotName="";

        private DateTime _reportDate;

        private DateTime _queryTime;

        private string _beginExpect="";

        private string _endExpect="";

        private List<OpenCodeEntity> _openCodeList=new List<OpenCodeEntity>();

        /// <summary>
        /// ץȡԭʼ
        /// </summary>
        public CaptureDataInfo CaptureData
        {
            get { return _captureData; }
            set { _captureData = value; }
        }

        /// <summary>
        /// Ƿɹ
        /// </summary>
        public bool DecodeSuccess
        {
            get { return _decodeSuccess; }
            set { _decodeSuccess = value; }
        }

        /// <summary>
        /// Ϣ
        /// </summary>
        public string ErrorMessage
        {
            get { return _errorMessage; }
            set { _errorMessage = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public string LotName
        {
            get { return _lotName; }
            set { _lotName = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public DateTime ReportDate
        {
            get { return _reportDate; }
            set { _reportDate = value; }
        }

        /// <summary>
        /// ѯʱ
        /// </summary>
        public DateTime QueryTime
        {
            get { return _queryTime; }
            set { _queryTime = value; }
        }

        /// <summary>
        /// ʼ
        /// </summary>
        public string BeginExpect
        {
            get { return _beginExpect; }
            set { _beginExpect = value; }
        }

        /// <summary>
        /// ֹ
        /// </summary>
        public string EndExpect
        {
            get { return _endExpect; }
            set { _endExpect = value; }
        }

        /// <summary>
        /// б
        /// </summary>
        public List<OpenCodeEntity> OpenCodeList
        {
            get { return _openCodeList; }
            set { _openCodeList = value; }
        }

        #endregion
    }
}
