using System;
using System.Collections.Generic;
using System.Text;
using ChuPiao.Common.Models;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    /// <summary>
    /// Զҽд
    /// </summary>
    public class A10010NotifyBonus : PackBase
    {
        public override string Action
        {
            get { return "notifyBonusTicket"; }
        }

        private L_LotTicketEntity _ticket = new L_LotTicketEntity();
        public L_LotTicketEntity Ticket
        {
            get { return _ticket; }
            set { _ticket = value; }
        }

        public override void PackBody(Newtonsoft.Json.JsonWriter jsonWriter)
        {
            jsonWriter.WritePropertyName("lotId");
            jsonWriter.WriteValue(Ticket.LotId);
            jsonWriter.WritePropertyName("status");
            jsonWriter.WriteValue(1);
            jsonWriter.WritePropertyName("ticketsn");
            jsonWriter.WriteValue(Ticket.L_TicketSn);
        }
    }
}
