using System;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// ʵӿ
    /// </summary>
    public interface ICancelOrderEntity
    {
        /// <summary>
        /// ID
        /// </summary>
        int LotId { get; set; }

        /// <summary>
        /// ID
        /// </summary>
        int Id { get; set; }

        /// <summary>
        /// ں
        /// </summary>
        string Expect { get; set; }

        /// <summary>
        /// û
        /// </summary>
        string OrderSn { get; set; }

        /// <summary>
        /// ǷЧ0--Ч1--ЧĬΪ1
        /// </summary>
        bool Enabled { get; set; }

        /// <summary>
        /// ʱ
        /// </summary>
        DateTime AddTime { get; set; }

        /// <summary>
        /// ע
        /// </summary>
        string Remark { get; set; }
    }

    /// <summary>
    /// ʵ
    /// </summary>
    public class CancelOrderEntity : ICancelOrderEntity
    {
        #region Implementation of ICancelOrderEntity

        private DateTime _addTime = DateTime.Now;
        private bool _enabled = true;
        private string _expect = string.Empty;
        private int _id;
        private int _lotId;

        private string _orderSn = string.Empty;

        private string _remark = string.Empty;

        /// <summary>
        /// ID
        /// </summary>
        public int LotId
        {
            get { return _lotId; }
            set { _lotId = value; }
        }

        /// <summary>
        /// ID
        /// </summary>
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        /// <summary>
        /// ں
        /// </summary>
        public string Expect
        {
            get { return _expect; }
            set { _expect = value; }
        }

        /// <summary>
        /// û
        /// </summary>
        public string OrderSn
        {
            get { return _orderSn; }
            set { _orderSn = value; }
        }

        /// <summary>
        /// ǷЧ0--Ч1--ЧĬΪ1
        /// </summary>
        public bool Enabled
        {
            get { return _enabled; }
            set { _enabled = value; }
        }

        /// <summary>
        /// ʱ
        /// </summary>
        public DateTime AddTime
        {
            get { return _addTime; }
            set { _addTime = value; }
        }

        /// <summary>
        /// ע
        /// </summary>
        public string Remark
        {
            get { return _remark; }
            set { _remark = value; }
        }

        #endregion
    }
}