using System;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// ʲƱʵӿ
    /// </summary>
    public interface IJcMachineMatchEntity
    {
        int LotId { get;set;}

        /// <summary>
        /// ID
        /// </summary>
        int Id { get; set; }

        /// <summary>
        /// 
        /// </summary>
        int Abbdate { get; set; }

        /// <summary>
        /// 
        /// </summary>
        string Match { get; set; }

        /// <summary>
        /// 
        /// </summary>
        string HomeTeam { get; set; }

        /// <summary>
        /// Ͷ
        /// </summary>
        string AwayTeam { get; set; }

        /// <summary>
        /// ÷֣Ĭ0Ϊ
        /// </summary>
        float RangScore { get; set; }

        /// <summary>
        /// Ԥܷ
        /// </summary>
        float PreTotalScore { get; set; }

        /// <summary>
        /// ʱ
        /// </summary>
        DateTime MatchTime { get; set; }

        /// <summary>
        /// ʱ
        /// </summary>
        DateTime AddTime { get; set; }

        /// <summary>
        /// ʱ
        /// </summary>
        DateTime UpdateTime { get; set; }

        /// <summary>
        /// Ʊı
        /// </summary>
        string PrnText { get; set; }
    }

    /// <summary>
    /// ʲƱʵ
    /// </summary>
    public class JcMachineMatchEntity : IJcMachineMatchEntity
    {
        #region Implementation of IJcMachineMatchEntity

        private int _lotid;
        private int _abbdate;
        private DateTime _addTime = DateTime.Now;

        private string _awayTeam = string.Empty;
        private string _homeTeam = string.Empty;
        private int _id;
        private string _match = string.Empty;

        private DateTime _matchTime = new DateTime(1900, 1, 1);
        private float _preTotalScore;

        private string _prnText = string.Empty;
        private float _rangScore;
        private DateTime _updateTime = new DateTime(1900, 1, 1);


        public int LotId
        {
            get
            {
                return _lotid;
            }
            set
            {
                _lotid = value;
            }
        }

        /// <summary>
        /// ID
        /// </summary>
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public int Abbdate
        {
            get { return _abbdate; }
            set { _abbdate = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public string Match
        {
            get { return _match; }
            set { _match = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public string HomeTeam
        {
            get { return _homeTeam; }
            set { _homeTeam = value; }
        }

        /// <summary>
        /// Ͷ
        /// </summary>
        public string AwayTeam
        {
            get { return _awayTeam; }
            set { _awayTeam = value; }
        }

        /// <summary>
        /// ÷֣Ĭ0Ϊ
        /// </summary>
        public float RangScore
        {
            get { return _rangScore; }
            set { _rangScore = value; }
        }

        /// <summary>
        /// Ԥܷ
        /// </summary>
        public float PreTotalScore
        {
            get { return _preTotalScore; }
            set { _preTotalScore = value; }
        }

        /// <summary>
        /// ʱ
        /// </summary>
        public DateTime MatchTime
        {
            get { return _matchTime; }
            set { _matchTime = value; }
        }

        /// <summary>
        /// ʱ
        /// </summary>
        public DateTime AddTime
        {
            get { return _addTime; }
            set { _addTime = value; }
        }

        /// <summary>
        /// ʱ
        /// </summary>
        public DateTime UpdateTime
        {
            get { return _updateTime; }
            set { _updateTime = value; }
        }

        /// <summary>
        /// Ʊı
        /// </summary>
        public string PrnText
        {
            get { return _prnText; }
            set { _prnText = value; }
        }



        #endregion

    }
}