using System;
using System.Collections.Generic;
using System.Text;
using ChuPiao.Common.Utils;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// ͣۼ¼
    /// </summary>
    public class Jc_StopSaleEntity
    {
        #region Model
        private int _e_id;
        private int _e_abbdate = 0;
        private string _e_expect = "";
        private int _e_playid = 0;
        private bool _e_enabled = true;
        private DateTime _e_addtime = DateTime.Now;
        private string _e_operateip = "";
        private DateTime _e_operatetime = DateTime.Now;
        private int _e_notifystatus =0;
        private DateTime _e_notifytime = new DateTime(1900,1,1);
        private string _e_remark = "";
        /// <summary>
        /// ID
        /// </summary>
        public int E_Id
        {
            set { _e_id = value; }
            get { return _e_id; }
        }
        /// <summary>
        /// 
        /// </summary>
        public int E_AbbDate
        {
            set { _e_abbdate = value; }
            get { return _e_abbdate; }
        }
        /// <summary>
        /// ں
        /// </summary>
        public string E_Expect
        {
            set { _e_expect = value; }
            get { return _e_expect; }
        }
        /// <summary>
        /// 淨ID  0--淨91101--ʤƽ91102--ȷ֣91103--ܽ91104--ȫ
        /// </summary>
        public int E_PlayId
        {
            set { _e_playid = value; }
            get { return _e_playid; }
        }
        /// <summary>
        /// ǷЧ0--Ч1--ЧĬΪ1
        /// </summary>
        public bool E_Enabled
        {
            set { _e_enabled = value; }
            get { return _e_enabled; }
        }
        /// <summary>
        /// ʱ
        /// </summary>
        public DateTime E_AddTime
        {
            set { _e_addtime = value; }
            get { return _e_addtime; }
        }
        /// <summary>
        /// ͣ۲IP
        /// </summary>
        public string E_OperateIp
        {
            set { _e_operateip = value; }
            get { return _e_operateip; }
        }
        /// <summary>
        /// ͣ۲ʱ
        /// </summary>
        public DateTime E_OperateTime
        {
            set { _e_operatetime = value; }
            get { return _e_operatetime; }
        }
        /// <summary>
        /// ֪ͨ״̬
        /// </summary>
        public int E_NotifyStatus
        {
            get { return _e_notifystatus; }
            set { _e_notifystatus = value; }
        }
        /// <summary>
        /// ֪ͨʱ
        /// </summary>
        public DateTime E_NotifyTime
        {
            get { return _e_notifytime; }
            set { _e_notifytime = value; }
        }
        /// <summary>
        /// ע
        /// </summary>
        public string E_Remark
        {
            set { _e_remark = value; }
            get { return _e_remark; }
        }
        #endregion Model
        #region չ

        private int _lotId;
        /// <summary>
        /// ID
        /// </summary>
        public int LotId
        {
            get { return _lotId; }
            set { _lotId = value; }
        }

        /// <summary>
        /// 淨
        /// </summary>
        public string PlayName
        {
            get { return _e_playid == 0 ? "ȫ" : LotPlayTypeHashTable.GetPlayName(_e_playid); }
        }
        /// <summary>
        /// ֪ͨ״̬
        /// </summary>
        public string NotifyStatusName
        {
            get
            {
                string name = "Ĭ";
                switch (_e_notifystatus)
                {
                    case 100:
                        name = "֪ͨ";
                        break;
                    case 300:
                        name = "֪ͨ";
                        break;
                }
                return name;
            }
        }

        #endregion
    }
}
