﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// 分配兑奖报表实体
    /// </summary>
    public class L_AllocateEncashReportEntity
    {
        private string _macNumber = "";
        private string _zxNumber = "";
        private int _totalTicket = 0;
        private decimal _totalMoney = 0;
        /// <summary>
        /// 机器号
        /// </summary>
        public string MacNumber
        {
            get { return _macNumber; }
            set { _macNumber = value; }
        }
        /// <summary>
        /// 中心机器号
        /// </summary>
        public string ZxNumber
        {
            get { return _zxNumber; }
            set { _zxNumber = value; }
        }
        /// <summary>
        /// 分配的中奖票数合计
        /// </summary>
        public int TotalTicket
        {
            get { return _totalTicket; }
            set { _totalTicket = value; }
        }
        /// <summary>
        /// 分配的奖金合计
        /// </summary>
        public decimal TotalMoney
        {
            get { return _totalMoney; }
            set { _totalMoney = value; }
        }
    }
}
