using System;
using ChuPiao.Common.Utils;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// ڱ
    /// </summary>
    [Serializable]
    public class L_ExpectReportEntity
    {
        public L_ExpectReportEntity(int lotId)
        {
            _lotId = lotId;
        }
        #region Model
        private int _r_id;
        private int _r_source = 0;
        private string _r_expect;
        private DateTime _r_addtime = DateTime.Now;
        private int _r_cancelticket = 0;
        private decimal _r_cancelmoney = 0;
        private int _r_sucticket = 0;
        private decimal _r_sucmoney = 0;
        private int _r_minicashticket = 0;
        private decimal _r_minicashmoney = 0;
        private int _r_bigcashticket = 0;
        private decimal _r_bigcashmoney = 0;
        private decimal _r_taxmoney = 0;
        private int _r_errticket = 0;
        private decimal _r_errmoney = 0;
        private int _r_errcashticket = 0;
        private decimal _r_errcashmoney = 0;
        private string _r_remark = "";
        private int _r_cashticket;
        private decimal _r_cashmoney;
        /// <summary>
        /// ID
        /// </summary>
        public int R_Id
        {
            set { _r_id = value; }
            get { return _r_id; }
        }
        /// <summary>
        /// Դ100--أ500--500
        /// </summary>
        public int R_Source
        {
            set { _r_source = value; }
            get { return _r_source; }
        }
        /// <summary>
        /// ں
        /// </summary>
        public string R_Expect
        {
            set { _r_expect = value; }
            get { return _r_expect; }
        }
        /// <summary>
        /// ʱ
        /// </summary>
        public DateTime R_AddTime
        {
            set { _r_addtime = value; }
            get { return _r_addtime; }
        }
        /// <summary>
        /// ȡƱ
        /// </summary>
        public int R_CancelTicket
        {
            set { _r_cancelticket = value; }
            get { return _r_cancelticket; }
        }
        /// <summary>
        /// ȡ
        /// </summary>
        public decimal R_CancelMoney
        {
            set { _r_cancelmoney = value; }
            get { return _r_cancelmoney; }
        }
        /// <summary>
        /// ɹƱƱ
        /// </summary>
        public int R_SucTicket
        {
            set { _r_sucticket = value; }
            get { return _r_sucticket; }
        }
        /// <summary>
        /// ɹƱ
        /// </summary>
        public decimal R_SucMoney
        {
            set { _r_sucmoney = value; }
            get { return _r_sucmoney; }
        }
        /// <summary>
        /// СƱ
        /// </summary>
        public int R_MiniCashTicket
        {
            set
            {
                _r_minicashticket = value;
                _r_cashticket = _r_minicashticket + _r_bigcashticket;
            }
            get { return _r_minicashticket; }
        }
        /// <summary>
        /// С
        /// </summary>
        public decimal R_MiniCashMoney
        {
            set {
                 _r_minicashmoney = value;
                 _r_cashmoney = _r_minicashmoney + _r_bigcashmoney;
                }
            get { return _r_minicashmoney; }
        }
        /// <summary>
        /// Ʊ
        /// </summary>
        public int R_BigCashTicket
        {
            set {
                 _r_bigcashticket = value;
                 _r_cashticket = _r_minicashticket + _r_bigcashticket;
                }
            get { return _r_bigcashticket; }
        }
        /// <summary>
        /// 󽱽
        /// </summary>
        public decimal R_BigCashMoney
        {
            set { 
                 _r_bigcashmoney = value;
                 _r_cashmoney = _r_minicashmoney + _r_bigcashmoney;
                }
            get { return _r_bigcashmoney; }
        }
        /// <summary>
        /// ˰
        /// </summary>
        public decimal R_TaxMoney
        {
            set { _r_taxmoney = value; }
            get { return _r_taxmoney; }
        }
        /// <summary>
        /// Ʊ
        /// </summary>
        public int R_errticket
        {
            set { _r_errticket = value; }
            get { return _r_errticket; }
        }
        /// <summary>
        /// Ʊ
        /// </summary>
        public decimal R_ErrMoney
        {
            set { _r_errmoney = value; }
            get { return _r_errmoney; }
        }
        /// <summary>
        /// Ʊн
        /// </summary>
        public int R_errcashticket
        {
            set { _r_errcashticket = value; }
            get { return _r_errcashticket; }
        }
        /// <summary>
        /// Ʊн
        /// </summary>
        public decimal R_ErrCashMoney
        {
            set { _r_errcashmoney = value; }
            get { return _r_errcashmoney; }
        }
        /// <summary>
        /// ע
        /// </summary>
        public string R_Remark
        {
            set { _r_remark = value; }
            get { return _r_remark; }
        }
        #endregion Model

        /// <summary>
        /// н
        /// </summary>
        public decimal R_CashMoney
        {
            set { _r_cashmoney = value; }
            get { return _r_cashmoney; }           
        }

        /// <summary>
        /// нƱ
        /// </summary>
        public int R_CashTicket
        {
            set { _r_cashticket = value; }
            get { return _r_cashticket; }          
        }


        #region չ
        private int _lotId;
        /// <summary>
        /// ID
        /// </summary>
        public int LotId
        {
            get { return _lotId; }
            set
            {
                _lotId = value;
            }
        }

        /// <summary>
        /// ȼ
        /// </summary>
        private int _prizedLevels;
        public int PrizeLevels
        {
            get
            {
                return _prizedLevels;
            }
        }

        /// <summary>
        /// 洢ÿнע
        /// </summary>
        private int[] _r_getnums;
        //private int _r_getnum01 = 0;
        //private int _r_getnum02 = 0;
        //private int _r_getnum03 = 0;
        public int this[int index]
        {
            get
            {
                return _r_getnums[index];
            }
        }
        /// <summary>
        /// һȽע
        /// </summary>
        public int R_GetNum01
        {
            set { _r_getnums[0] = value; }
            get { return _r_getnums[0]; }
        }
        /// <summary>
        /// Ƚע
        /// </summary>
        public int R_GetNum02
        {
            set { _r_getnums[1] = value; }
            get { return _r_getnums[1]; }
        }
        /// <summary>
        /// Ƚע
        /// </summary>
        public int R_GetNum03
        {
            set { _r_getnums[2] = value; }
            get { return _r_getnums[2]; }
        }
        /// <summary>
        /// ĵȽע
        /// </summary>
        public int R_GetNum04
        {
            set { _r_getnums[3] = value; }
            get { return _r_getnums[3]; }
        }
        /// <summary>
        /// Ƚע
        /// </summary>
        public int R_GetNum05
        {
            set { _r_getnums[4] = value; }
            get { return _r_getnums[4]; }
        }
        /// <summary>
        /// Ƚע
        /// </summary>
        public int R_GetNum06
        {
            set { _r_getnums[5] = value; }
            get { return _r_getnums[5]; }
        }
        /// <summary>
        /// 7Ƚע
        /// </summary>
        public int R_GetNum07
        {
            set { _r_getnums[6] = value; }
            get { return _r_getnums[6]; }
        }
        /// <summary>
        /// 8Ƚע
        /// </summary>
        public int R_GetNum08
        {
            set { _r_getnums[7] = value; }
            get { return _r_getnums[7]; }
        }
        /// <summary>
        /// 9Ƚע
        /// </summary>
        public int R_GetNum09
        {
            set { _r_getnums[8] = value; }
            get { return _r_getnums[8]; }
        }
        /// <summary>
        /// 10Ƚע
        /// </summary>
        public int R_GetNum10
        {
            set { _r_getnums[9] = value; }
            get { return _r_getnums[9]; }
        }
        /// <summary>
        /// 11Ƚע
        /// </summary>
        public int R_GetNum11
        {
            set { _r_getnums[10] = value; }
            get { return _r_getnums[10]; }
        }
        /// <summary>
        /// 12Ƚע
        /// </summary>
        public int R_GetNum12
        {
            set { _r_getnums[11] = value; }
            get { return _r_getnums[11]; }
        }
        /// <summary>
        /// 13Ƚע
        /// </summary>
        public int R_GetNum13
        {
            set { _r_getnums[12] = value; }
            get { return _r_getnums[12]; }
        }
        /// <summary>
        /// 14Ƚע
        /// </summary>
        public int R_GetNum14
        {
            set { _r_getnums[13] = value; }
            get { return _r_getnums[13]; }
        }
        /// <summary>
        /// 15Ƚע
        /// </summary>
        public int R_GetNum15
        {
            set { _r_getnums[14] = value; }
            get { return _r_getnums[14]; }
        }
        /// <summary>
        /// 16Ƚע
        /// </summary>
        public int R_GetNum16
        {
            set { _r_getnums[15] = value; }
            get { return _r_getnums[15]; }
        }
        /// <summary>
        /// 17Ƚע
        /// </summary>
        public int R_GetNum17
        {
            set { _r_getnums[16] = value; }
            get { return _r_getnums[16]; }
        }

        #endregion

        #region չ

        private int _r_abbdate = 0;

        /// <summary>
        /// 
        /// </summary>
        public int R_AbbDate
        {
            get { return _r_abbdate; }
            set { _r_abbdate = value; }
        }

        private int _r_playtype = 0;
        /// <summary>
        /// 淨
        /// </summary>
        public int R_PlayType
        {
            get { return _r_playtype; }
            set { _r_playtype = value; }
        }

        private decimal _r_gtdCashMoney;
        /// <summary>
        ///  н
        /// </summary>
        public decimal R_GTDCashMoney
        {
            get { return _r_gtdCashMoney; }
            set { _r_gtdCashMoney = value; }
        }

        private int _r_gtdCashTicket;
        /// <summary>
        ///  нƱ
        /// </summary>
        public int R_GTDCashTicket
        {
            get { return _r_gtdCashTicket; }
            set { _r_gtdCashTicket = value; }
        }

        #endregion      

        #region 챨չ
        private DateTime _r_lastmodified;
        /// <summary>
        /// ޸ʱ
        /// </summary>
        public DateTime R_Lastmodified
        {
            get { return _r_lastmodified; }
            set { _r_lastmodified = value; }
        }
        #endregion

        #region չ
        private int _r_match;
        /// <summary>
        /// 
        /// </summary>
        public int R_Match 
        {
            get { return _r_match; }
            set { _r_match = value; }
        }
        #endregion 

        #region ֲfailticket(˽ֹʱûƱ)

        private int _r_failticket;
        /// <summary>
        /// ֹδƱ
        /// </summary>
        public int R_FailTicket
        {
            get { return _r_failticket; }
            set { _r_failticket = value; }
        }

        private decimal _r_failmoney;
        /// <summary>
        ///  ֹδƱ
        /// </summary>
        public decimal R_FailMoney
        {
            get { return _r_failmoney; }
            set { _r_failmoney = value; }
        }

        private int _r_failcashticket;
        /// <summary>
        /// ֹδƱн
        /// </summary>
        public int R_FailCashTicket
        {
            get { return _r_failcashticket; }
            set { _r_failcashticket = value; }
        }

        private decimal _r_failcashmoney;
        /// <summary>
        /// ֹδƱн
        /// </summary>
        public decimal R_FailCashMoney
        {
            get { return _r_failcashmoney; }
            set { _r_failcashmoney = value; }
        }

        #endregion

        #region Ͷעӿ6004Ĵע
        /// <summary>
        /// Ͷעӿ6004ע
        /// </summary>
        private int[] _r_bigcounts;
        public int GetBigCount(int index)
        {
            return _r_bigcounts[index];
        }

        /// <summary>
        /// һȽע
        /// </summary>
        public int R_BigCount01
        {
            set { _r_bigcounts[0] = value; }
            get { return _r_bigcounts[0]; }
        }
        /// <summary>
        /// Ƚע
        /// </summary>
        public int R_BigCount02
        {
            set { _r_bigcounts[1] = value; }
            get { return _r_bigcounts[1]; }
        }
        /// <summary>
        /// Ƚע
        /// </summary>
        public int R_BigCount03
        {
            set { _r_bigcounts[2] = value; }
            get { return _r_bigcounts[2]; }
        }
        /// <summary>
        /// ĵȽע
        /// </summary>
        public int R_BigCount04
        {
            set { _r_bigcounts[3] = value; }
            get { return _r_bigcounts[3]; }
        }
        /// <summary>
        /// Ƚע
        /// </summary>
        public int R_BigCount05
        {
            set { _r_bigcounts[4] = value; }
            get { return _r_bigcounts[4]; }
        }
        /// <summary>
        /// Ƚע
        /// </summary>
        public int R_BigCount06
        {
            set { _r_bigcounts[5] = value; }
            get { return _r_bigcounts[5]; }
        }
        /// <summary>
        /// 7Ƚע
        /// </summary>
        public int R_BigCount07
        {
            set { _r_bigcounts[6] = value; }
            get { return _r_bigcounts[6]; }
        }
        /// <summary>
        /// 8Ƚע
        /// </summary>
        public int R_BigCount08
        {
            set { _r_bigcounts[7] = value; }
            get { return _r_bigcounts[7]; }
        }
        /// <summary>
        /// 9Ƚע
        /// </summary>
        public int R_BigCount09
        {
            set { _r_bigcounts[8] = value; }
            get { return _r_bigcounts[8]; }
        }
        /// <summary>
        /// 10Ƚע
        /// </summary>
        public int R_BigCount10
        {
            set { _r_bigcounts[9] = value; }
            get { return _r_bigcounts[9]; }
        }
        /// <summary>
        /// 11Ƚע
        /// </summary>
        public int R_BigCount11
        {
            set { _r_bigcounts[10] = value; }
            get { return _r_bigcounts[10]; }
        }
        /// <summary>
        /// 12Ƚע
        /// </summary>
        public int R_BigCount12
        {
            set { _r_bigcounts[11] = value; }
            get { return _r_bigcounts[11]; }
        }
        /// <summary>
        /// 13Ƚע
        /// </summary>
        public int R_BigCount13
        {
            set { _r_bigcounts[12] = value; }
            get { return _r_bigcounts[12]; }
        }
        /// <summary>
        /// 14Ƚע
        /// </summary>
        public int R_BigCount14
        {
            set { _r_bigcounts[13] = value; }
            get { return _r_bigcounts[13]; }
        }
        /// <summary>
        /// 15Ƚע
        /// </summary>
        public int R_BigCount15
        {
            set { _r_bigcounts[14] = value; }
            get { return _r_bigcounts[14]; }
        }
        /// <summary>
        /// 16Ƚע
        /// </summary>
        public int R_BigCount16
        {
            set { _r_bigcounts[15] = value; }
            get { return _r_bigcounts[15]; }
        }
        /// <summary>
        /// 17Ƚע
        /// </summary>
        public int R_BigCount17
        {
            set { _r_bigcounts[16] = value; }
            get { return _r_bigcounts[16]; }
        }

        #endregion

    }
}

