﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// 彩票机出票票数和金额统计类，出票统计界面有用到
    /// </summary>
    public class L_MachineSaleReportEntity:IComparable
    {
        private string _macNumber;
        private string _zxNumber;
        private int _totalTicket = 0;
        private decimal _totalMoney = 0;
        /// <summary>
        /// 机器号
        /// </summary>
        public string MacNumber
        {
            get { return _macNumber; }
            set { _macNumber = value; }
        }
        /// <summary>
        /// 中心机器号
        /// </summary>
        public string ZxNumber
        {
            get { return _zxNumber; }
            set { _zxNumber = value; }
        }
        /// <summary>
        /// 总票数
        /// </summary>
        public int TotalTicket
        {
            get { return _totalTicket; }
            set { _totalTicket = value; }
        }
        /// <summary>
        /// 总金额
        /// </summary>
        public decimal TotalMoney
        {
            get { return _totalMoney; }
            set { _totalMoney = value; }
        }

        #region IComparable 成员

        public int CompareTo(object obj)
        {
            return MacNumber.CompareTo(((L_MachineSaleReportEntity)obj).MacNumber);
        }

        #endregion
    }
}
