using System;
using ChuPiao.Common.Utils;
namespace ChuPiao.Common.Models
{
	/// <summary>
	/// 
	/// </summary>
	[Serializable]
	public class M_KeycodeConfigEntity
	{
        public M_KeycodeConfigEntity(string name, string value)
        {
            _k_keycodename = name;
            _k_keycodevalue = value;

            _k_keycodevaluebytes = HexString.StringToByte(value);
        }

        public M_KeycodeConfigEntity()
        { }
		#region Model
		private int _k_id;
        private int _k_keyboardtype = 1002;
		private string _k_keycodename="";
		private string _k_keycodevalue="";
		/// <summary>
		/// ƱID
		/// </summary>
		public int K_Id
		{
			set{ _k_id=value;}
			get{return _k_id;}
		}
		/// <summary>
		/// 1001--ߣ1002--ߣ
		/// </summary>
        public int K_KeyboardType
		{
			set{ _k_keyboardtype=value;}
            get { return _k_keyboardtype; }
		}
		/// <summary>
		/// ƣ磺f1
		/// </summary>
		public string K_KeycodeName
		{
			set{ _k_keycodename=value;}
			get{return _k_keycodename;}
		}
		/// <summary>
		/// Ӧʮֵ磺F4,09,F4
		/// </summary>
		public string K_KeycodeValue
		{
			set{ _k_keycodevalue=value;}
			get{return _k_keycodevalue;}
		}
		#endregion Model

        #region չ
        private byte[] _k_keycodevaluebytes;
        /// <summary>
        /// ӦĶֵ
        /// </summary>
        public byte[] K_KeycodeValueBytes
        {
            set { _k_keycodevaluebytes = value; }
            get { return _k_keycodevaluebytes; }
        }
        #endregion

    }
}

